@echo off
REM -- INITIALIZE VARIABLES --

setlocal
set ERRORLEVEL=0
set errorfile="%~dp0CI_Error.txt"
set runfile="%~dp0CI_Running.txt"

REM -- CREATE TMP FILES
echo. 2>%runfile%
echo. 2>%errorfile%
echo.Error File %errorfile%
echo.Run File %runfile%

REM -- RUN BUILD
echo Starting new build
"C:\Program Files (x86)\National Instruments\LabVIEW 2012\LabVIEW.exe" "%~dp0CI Server Build Package.vi" -- %BUILD_NUMBER% %errorfile% %runfile%

REM -- MONITOR BUILD, LOOP UNTIL BUILD IS FINISHED, use PING to act as a 'sleep' function for loop
:BUILDRUNNING
REM -- WAIT FOR 5 SECONDS, WINDOWS DOESN'T HAVE A COMMAND LINE WAIT
PING 1.1.1.1 -n 1 -w 5000 >NUL
if exist %runfile% goto BUILDRUNNING

echo Build finished

REM -- CHECK FOR BUILD ERRORS
echo Checking for build errors
REM if NOT exist %errorfile% GOTO NOERRORFILE
CALL "%~dp0checkerror.bat" %errorfile%
IF %ERRORLEVEL% GTR 0 GOTO DISPLAYERROR
GOTO RUNEXIT

:DISPLAYERROR
echo ============ LabVIEW Build Error Start ============ 
type %errorfile%
echo.
echo ============= LabVIEW Build Error End =============
GOTO RUNEXIT

:NOERRORFILE
echo LabVIEW error file %errorfile% does not exist
set ERRORLEVEL=2
GOTO RUNEXIT

:RUNEXIT
echo ERRORLEVEL = %ERRORLEVEL%

REM -- UNCOMMENT WHEN RUNNING FROM JENKINS
EXIT %ERRORLEVEL%
